jif.visit

## Class IntegerBoundsChecker.Bound

- java.lang.Object
- - jif.visit.IntegerBoundsChecker.Bound

- Direct Known Subclasses:
    IntegerBoundsChecker.ArrayLengthBound, IntegerBoundsChecker.LocalBound
  Enclosing class:
    IntegerBoundsChecker

      protected abstract static class IntegerBoundsChecker.Bound
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `IntegerBoundsChecker.Bound.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IntegerBoundsChecker.Bound.Type` | `GE`
    `static IntegerBoundsChecker.Bound.Type` | `GT`
    `static IntegerBoundsChecker.Bound.Type` | `LE`
    `static IntegerBoundsChecker.Bound.Type` | `LT`
    `protected IntegerBoundsChecker.Bound.Type` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Bound(IntegerBoundsChecker.Bound.Type type)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `boolean` | `isLower()`
    `boolean` | `isStrict()`
    `boolean` | `isUpper()`
    `static IntegerBoundsChecker.Bound.Type` | `lower(boolean strict)`
    `abstract IntegerBoundsChecker.Bound` | `strict(boolean strict)`
    `java.lang.String` | `toString()`
    `static IntegerBoundsChecker.Bound.Type` | `upper(boolean strict)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LT

          public static final IntegerBoundsChecker.Bound.Type LT

    - #### LE

          public static final IntegerBoundsChecker.Bound.Type LE

    - #### GT

          public static final IntegerBoundsChecker.Bound.Type GT

    - #### GE

          public static final IntegerBoundsChecker.Bound.Type GE

    - #### type

          protected final IntegerBoundsChecker.Bound.Type type

  - ### Constructor Detail

    - #### Bound

          public Bound(IntegerBoundsChecker.Bound.Type type)

  - ### Method Detail

    - #### lower

          public static IntegerBoundsChecker.Bound.Type lower(boolean strict)

    - #### upper

          public static IntegerBoundsChecker.Bound.Type upper(boolean strict)

    - #### isLower

          public boolean isLower()

    - #### isUpper

          public boolean isUpper()

    - #### isStrict

          public boolean isStrict()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### strict

          public abstract IntegerBoundsChecker.Bound strict(boolean strict)